Summary:	An old-school polyphonic additive synthesizer
Name:		padthv1
Version:	0.9.33
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		https://padthv1.sourceforge.io
Source0:	https://sourceforge.net/projects/padthv1/files/padthv1/%{version}/%{name}-%{version}.tar.xz
Patch0:		padthv1-0.9.27-fix-libdir-path.patch
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lv2)

%description
padthv1 is an old-school polyphonic additive synthesizer with stereo fx.
padthv1 is based on the PADsynth algorithm by Paul Nasca, as a special
variant of additive synthesis.

Features:
  * a pure stand-alone JACK client with JACK-session, NSM (Non Session
    management) and both JACK MIDI and ALSA MIDI input support.
  * a LV2 instrument plug-in.
    URI: http://padthv1.sourceforge.net/lv2

%files
%{_bindir}
%{_datadir}
%{_libdir}
#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -Wno-dev -B build
cmake --build build %{?_smp_mflags}

%install
DESTDIR="%{buildroot}" \
cmake --install build

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --remove-category="AudioVideo" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*.desktop


%changelog
* Sun Jan 14 2024 tex - 0.9.33-1pclos2024
- new version

* Sat Jan 28 2023 tex - 0.9.29-1pclos2023
- new version

* Sun Jan 01 2023 tex - 0.9.28-1pclos2023
- new version

* Tue Oct 04 2022 tex - 0.9.27-1pclos2022
- new version

* Sat Jan 15 2022 tex - 0.9.24-1pclos2022
- new version

* Wed May 19 2021 tex - 0.9.22-1pclos2021
- new version

* Mon Dec 21 2020 tex - 0.9.19-1pclos2021
- new version

* Tue Sep 08 2020 tex - 0.9.17-1pclos2020
- new version

* Tue Jun 30 2020 tex - 0.9.15-1pclos2020
- new version: 0.9.15
